package com.mvc.dao;

import com.mvc.entity.TPipelineLeakage;
import com.mvc.entity.TPipelineLeakageExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.session.RowBounds;

public interface TPipelineLeakageMapper {
    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    long countByExample(TPipelineLeakageExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    int deleteByExample(TPipelineLeakageExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    int deleteByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    int insert(TPipelineLeakage record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    int insertSelective(TPipelineLeakage record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    List<TPipelineLeakage> selectByExampleWithRowbounds(TPipelineLeakageExample example, RowBounds rowBounds);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    List<TPipelineLeakage> selectByExample(TPipelineLeakageExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    TPipelineLeakage selectByPrimaryKey(Integer id);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    int updateByExampleSelective(@Param("record") TPipelineLeakage record, @Param("example") TPipelineLeakageExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    int updateByExample(@Param("record") TPipelineLeakage record, @Param("example") TPipelineLeakageExample example);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    int updateByPrimaryKeySelective(TPipelineLeakage record);

    /**
     * @Description: 
     * @Author: guozhao
     * @CreateDate: 2025-07-02 11:30:08
     */
    int updateByPrimaryKey(TPipelineLeakage record);
}